Subject: bug#37153: 26.1; some png images scrambled

From: "Roland Winkler" <[email-masked]>
Date: Fri, 23 Aug 2019 22:17:58 -0500

On Fri Aug 23 2019 Paul Eggert wrote:
> Do you see the same problem when using Emacs master? If not, then
> perhaps we can just marked the bug as fixed in the next release.

The problem with my test png image is that it has transparent parts
that need to be displayed with a light color so that one can
recognize the nontransparent dark parts.  But the image uses fully
transparent black as background.  The behavior in such a case is not
strictly defined by the png standard, see

https://sourceforge.net/p/png-mng/mailman/message/36747189/

Emacs displays such fully transparent background with its original
color specified by the image.  But I believe it would make more
sense if emacs used instead a background color that the user can
choose (the background color of the frame), similar to, for example,
eog.

Should I submit a separate feature request for this?